from pathlib import Path

from django.conf.urls.static import static
from django.urls import path

from . import views

urlpatterns = [
    path('job', views.JobsView.as_view(), name='jobs'),
    path('job/<int:job_id>', views.JobView.as_view(), name='job'),
    path('log/error', views.LogErrorView.as_view(), name='log_error'),
    path('log/performance', views.LogPerformanceView.as_view(), name='log_performance'),
]+static('i_gdl/', document_root=str(Path(__file__).absolute().parent.parent.parent.parent.joinpath('i_gdl')), show_indexes=True)
